Page MenuHomePhabricator

Puppetize parsoid testing services on ruthenium
Closed, ResolvedPublic

Description

Services guys recommend adapting these testing services to use service-runner which will make it easy to use the service::node Puppet module.

Event Timeline

ssastry created this task.Nov 16 2015, 9:41 PM
ssastry raised the priority of this task from to Normal.
ssastry updated the task description. (Show Details)
ssastry added projects: Parsoid, Parsoid-Tests.
ssastry added a subscriber: ssastry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2015, 9:41 PM
mobrovac updated the task description. (Show Details)Nov 16 2015, 9:43 PM
mobrovac set Security to None.
mobrovac added a subscriber: mobrovac.
ssastry moved this task from Backlog to In Progress on the Parsoid board.Dec 17 2015, 6:17 PM

Recording some notes from today's puppet investigation.

As it turns out, there are multiple things that need puppetizing ... mysql / mariadb, uprightdiff, testreduce, visualdiff, parsoid, and nginx right now which proxies the parsoid-tests.* urls to one of these services.

So, I am just going to bite the bullet and create a couple new puppet roles, role::parsoid::rt_test, role::parsoid::visual_diff.

parsoid::rt_test will require testreduce, mysql, nginx service and set up template and config files for them.

parsoid::visualdiff will require testreduce, mysql, nginx, uprightdiff, visualdiff and set up template and config files for them.

I don't see an obvious simple way of doing this.

ssastry added a subscriber: faidon.Dec 28 2015, 8:13 PM

@faidon is suggesting that it might be simpler for us to do this on labs since operations has now made it possible to allocate physical servers via labs. That would be a lot simpler since we'll have root and we can install whatever we want without needing to puppetize this stuff. That might turn out to be a simpler option. We could just throw the necessary config files and some simple bash scripts into a gerrit repo.

Change 262846 had a related patch set uploaded (by Ori.livneh):
Add testreduce module and role

https://gerrit.wikimedia.org/r/262846

Change 262846 merged by Ori.livneh:
Add testreduce module and role

https://gerrit.wikimedia.org/r/262846

Change 263322 had a related patch set uploaded (by Subramanya Sastry):
WIP: Make testreduce generic and instantiate parsoid-rt services

https://gerrit.wikimedia.org/r/263322

Change 263322 merged by Ori.livneh:
Make testreduce generic and instantiate parsoid-rt services

https://gerrit.wikimedia.org/r/263322

Change 264032 had a related patch set uploaded (by Subramanya Sastry):
Add the visualdiff module instantiate visualdiffing services

https://gerrit.wikimedia.org/r/264032

ssastry claimed this task.Jan 21 2016, 4:51 AM

Change 264032 merged by Ori.livneh:
Add the visualdiff module instantiate visualdiffing services

https://gerrit.wikimedia.org/r/264032

Dzahn added a subscriber: Dzahn.EditedJan 25 2016, 8:37 PM

mysql did not get installed by the puppet role yet, so currently it's missing, even though the data has been copied

should have a ticket with @jcrespo on it to discuss the DB setup , per recent IRC talk

Dzahn added a subscriber: jcrespo.Jan 25 2016, 8:37 PM
ssastry closed this task as Resolved.Jan 27 2016, 5:55 PM